#ifndef __MOTORCTRL_H__
#define __MOTORCTRL_H__

#include "r_cg_macrodriver.h"

#define MOTOR1      0
#define MOTOR2      1
#define MOTOR3      2
#define MOTOR4      3
#define MOTOR5      4
#define MOTOR6      5

void OverCurrentPro(uint8_t ovmotor);
void CurrentDetecte(void);
void MotorCtrl(void);
void HallDetecte(void);
void MotorValueInit(void);

uint16_t getMotorLoc(void);

void StartAutoCal(void);
void StopAutoCal(void);


void setMotorState(uint8_t motorid,uint8_t act);
void setMotorAutoXQ(void);
void setMotorAutoXH(void);

#endif
